<?php
namespace ModulesAbstract\PluginReports\Report\Model\Filters;

class Boolean extends FilterAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \ModulesAbstract\PluginReports\Report\Model\Filters\FilterAbstract::getValue()
	 */
	public function getValue()
	{
		return (bool)$this->value;
	}

	/**
	 * (non-PHPdoc)
	 * @see \ModulesAbstract\PluginReports\Report\Model\Filters\FilterAbstract::hasValue()
	 */
	public function hasValue()
	{
		// don't differentiate between null & false, boolean objects will always have some sort of value
		return true;
	}
}